Delete specific network - Fabric
Delete specific network
cURL
curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
- 200 - OK
- 400 - Invalid request payload or parameter
- 404 - Resource not found
- 500 - An internal error occurred
Example Response
{
"networkId": "62278e49167b6079755aa5e7",
"code": "DC",
"name": "Distribution Center",
"safetyStock": 2,
"rules": {
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": {
"$nin": 778942701
}
}
}
{
"message": "Invalid request payload or parameter"
}
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
Authorization (header): required, Bearer authentication header of the form Bearer <token>.
Headers
x-site-context (header): required.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
networkId: required, Network ID, Example: "62278e49167b6079755aa5e7".
Response Fields
- networkId: string (Network ID)
- code: string (Unique identifier for the network)
- name: string (Name of the network)
- safetyStock: integer (Safety stock count)
- rules: object (Conditional rule specific to location)